# Uses of Enum Class
org.eclipse.swt.graphics.AutoscalingMode

Packages that use AutoscalingMode
Package
Description
org.eclipse.swt.graphics
SWT graphics classes.
org.eclipse.swt.widgets
SWT widget public API classes.

## Uses of AutoscalingMode in org.eclipse.swt.graphics

Subclasses with type arguments of type AutoscalingMode in org.eclipse.swt.graphics
Modifier and Type
Class
Description
`enum`
`AutoscalingMode`
Defines the autoscaling behavior used when rendering or computing layout for controls that support DPI‑aware scaling.
Methods in org.eclipse.swt.graphics that return AutoscalingMode
Modifier and Type
Method
Description
`static AutoscalingMode`
AutoscalingMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AutoscalingMode[]`
AutoscalingMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of AutoscalingMode in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets with parameters of type AutoscalingMode
Modifier and Type
Method
Description
`boolean`
Control.`setAutoscalingMode(AutoscalingMode autoscalingMode)`
Sets the autoscaling mode for this widget.